Skip to main content
GET
/
deals
List all deals
curl --request GET \
  --url https://{your-subdomain}.neetocrm.com/api/external/v1/deals \
  --header 'X-Api-Key: <x-api-key>'
{
  "deals": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "name": "Eve Enterprise Deal",
      "status": "in_progress",
      "value": 10000,
      "currency": "USD",
      "price": "$ 10000",
      "unique_number": "D-001",
      "contact_name": "Eve",
      "contact_id": "c1d2e3f4-a5b6-7890-cdef-123456789012",
      "company_name": "Eve Corp",
      "company_id": "d2e3f4a5-b6c7-8901-def0-234567890123",
      "owner": null,
      "pipeline": null,
      "stage": null,
      "tags": [],
      "created_at": "2025-03-15T10:30:00.000Z",
      "updated_at": "2025-03-15T10:30:00.000Z"
    }
  ],
  "pagination": {
    "total_records": 42,
    "total_pages": 1,
    "current_page_number": 1,
    "page_size": 30
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Identifying your subdomain.

Headers

X-Api-Key
string
required

X-Api-Key is used to authenticate requests using an API key. Provide your API key in this header to access protected endpoints. Refer to Authentication for more information.

Query Parameters

page_number
integer

Retrieve paginated results by specifying the desired page number. If this parameter is absent, all results will be returned.

page_size
integer

Set the number of results returned in the response. Defaulting to 30 when omitted.

Response

200 - application/json

Successfully retrieved deals.

deals
object[]

List of deals.

pagination
object